Bug 867238 - (CVE-2012-3160) CVE-2012-3160 mysql: unspecified vulnerability in Server Installation leading to information disclosure (CPU Oct 2012)
CVE-2012-3160 mysql: unspecified vulnerability in Server Installation leading...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121016,reported=2...
: Security
Depends On: 871813 871814
Blocks: 867241 mysql-cpu-2012-10
  Show dependency treegraph
 
Reported: 2012-10-17 02:16 EDT by Kurt Seifried
Modified: 2015-11-24 10:20 EST (History)
4 users (show)

See Also:
Fixed In Version: mysql 5.1.66, mysql 5.5.28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 10:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-10-17 02:16:02 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3160 to
the following vulnerability:

Name: CVE-2012-3160
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3160
Assigned: 20120606
Reference: http://www.oracle.com/technetwork/topics/security/cpuoct2012-1515893.html

Unspecified vulnerability in the MySQL Server component in Oracle
MySQL 5.1.65 and earlier, and 5.5.27 and earlier, allows local users
to affect confidentiality via unknown vectors related to Server
Installation.
Comment 1 Tomas Hoger 2012-10-26 10:01:06 EDT
Text of the Oracle flaw description:

  Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent:
  Server Installation). Supported versions that are affected are 5.1.65 and
  earlier and 5.5.27 and earlier. Easily exploitable vulnerability requiring
  logon to Operating System. Successful attack of this vulnerability can result
  in unauthorized read access to a subset of MySQL Server accessible data. 

http://www.oracle.com/technetwork/topics/security/cpuoct2012verbose-1515934.html#MSQL


It seems the CVE may be related to the following commits:

http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3780
http://bazaar.launchpad.net/~mysql/mysql-server/5.5/revision/2661.810.55

They modify mysql_secure_installation scripts to ensure that a temporary file, to which root password is written, is properly removed if script fails or is interrupted.  Shell version of the script is included in the Red Hat Enterprise Linux mysql packages.
Comment 3 errata-xmlrpc 2012-11-14 15:56:48 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html

Note You need to log in before you can comment on or make changes to this bug.